---
include:
  - component: "$CI_SERVER_FQDN/eduit/gitlab-ci-lib/ansible-linting@master"
  - component: "$CI_SERVER_FQDN/eduit/gitlab-ci-lib/semaphore-trigger@master"
    inputs:
      server: semaphore.ethz.ch
      project: '11'
      template: '133'
      limit: eduit-sysmgt-01
    rules:
      - if: '$CI_COMMIT_BRANCH == "main"'
        when: always
  - component: "$CI_SERVER_FQDN/eduit/gitlab-ci-lib/semaphore-trigger@master"
    inputs:
      server: semaphore-staging.ethz.ch
      project: '1'
      template: '3'
      token: "$SEMAPHORE_STAGING_TOKEN"
      limit: eduit-sysmgt-02
    rules:
      - if: '$CI_COMMIT_BRANCH == "staging"'
        when: always

stages:
  - lint
  - update
